=== debian/changelog ===
scummvm (2.8.0+dfsg-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:59:36 +1100

scummvm (2.8.0+dfsg-1build4) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:23:36 +0000

scummvm (2.8.0+dfsg-1build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:38:16 +0000

scummvm (2.8.0+dfsg-1build2) noble; urgency=medium

  * No-change rebuild against libflac12t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 14:59:09 +0000

scummvm (2.8.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:12:32 +0000

scummvm (2.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Build with -fexcess-precision=fast to correctly fix the test failures
    on i386 and s390x (see https://gcc.gnu.org/gcc-13/changes.html for
    details). Thanks to Adrian Bunk for the patch!
  * Update Lintian overrides.

 -- Stephen Kitt <skitt@debian.org>  Sun, 31 Dec 2023 16:12:28 +0100
