=== debian/control ===
Source: scummvm
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: David Weinehall <tao@debian.org>
          ,Moritz Muehlenhoff <jmm@debian.org>
          ,Dmitry Smirnov <onlyjob@debian.org>
          ,Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13)
              ,fonts-freefont-ttf
              ,fonts-mplus
              ,liba52-dev
              ,libasound2-dev [linux-any]
              ,libcurl4-gnutls-dev
              ,libfaad-dev
              ,libflac-dev
              ,libfluidsynth-dev
              ,libfreetype-dev
              ,libfribidi-dev
              ,libgif-dev
              ,libgl-dev
              ,libglew-dev
              ,libgtk-3-dev
              ,libieee1284-3-dev [!hurd-any]
              ,libjpeg-dev
              ,libmad0-dev
              ,libmikmod-dev
              ,libmpeg2-4-dev
              ,libpng-dev
              ,libsdl2-dev | libsdl1.2-dev
              ,libsdl2-net-dev | libsdl-net1.2-dev
              ,libsonivox-dev
              ,libspeechd-dev
              ,libtheora-dev
              ,libvorbis-dev
              ,libvpx-dev
              ,libz-dev
              ,nasm [any-i386]
              ,pkgconf
              ,python3:any
              ,zip
Standards-Version: 4.6.2
Homepage: http://www.scummvm.org
Vcs-Git: https://salsa.debian.org/games-team/scummvm.git
Vcs-Browser: https://salsa.debian.org/games-team/scummvm
Rules-Requires-Root: no

Package: scummvm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, scummvm-data (= ${source:Version})
Suggests: fluidsynth | timidity
         ,beneath-a-steel-sky
         ,drascula
         ,flight-of-the-amazon-queen
         ,lure-of-the-temptress
Breaks: drascula (<< 1.0+ds4)
Description: engine for several graphical adventure games
 ScummVM is a `virtual machine' for several classic graphical
 point-and-click adventure games.  It is designed to run Adventure Soft's
 Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
 based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
 system.  SCUMM is used for many games, including Monkey Island,
 Day of the Tentacle, Sam and Max and more.  See the official compatibility
 list at <http://www.scummvm.org/compatibility.php> for a full list
 of supported games.
 .
 The game data of four games compatible with ScummVM is included in Debian.
 These are:
 .
  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
  - Drascula: The Vampire Strikes Back  (package: drascula)
  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
  - Lure of the Temptress               (package: lure-of-the-temptress)
 .
 To actually make use of ScummVM, you'll have to install one of these, or
 obtain the proprietary game data for another supported game from somewhere
 else.

Package: scummvm-data
Architecture: all
Multi-Arch: foreign
Built-Using: ${my:Built-Using}
Depends: ${misc:Depends}
Description: engine for several graphical adventure games (data files)
 ScummVM is a `virtual machine' for several classic graphical
 point-and-click adventure games.  It is designed to run Adventure Soft's
 Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
 based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
 system.  SCUMM is used for many games, including Monkey Island,
 Day of the Tentacle, Sam and Max and more.  See the official compatibility
 list at <http://www.scummvm.org/compatibility.php> for a full list
 of supported games.
 .
 The game data of four games compatible with ScummVM is included in Debian.
 These are:
 .
  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
  - Drascula: The Vampire Strikes Back  (package: drascula)
  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
  - Lure of the Temptress               (package: lure-of-the-temptress)
 .
 To actually make use of ScummVM, you'll have to install one of these, or
 obtain the proprietary game data for another supported game from somewhere
 else.
 .
 These packages provides data files needed to run some engines supported by
 ScummVM.
