## scummvm 2.8.0+dfsg-1build5trisquel1

=== debian/changelog ===
scummvm (2.8.0+dfsg-1build5trisquel1) ecne; urgency=medium

  * Removed references to non-free software, fixes 7344

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 18 Oct 2024 10:41:39 +0000
