## scummvm 2.8.1+dfsg

=== debian/changelog ===
scummvm (2.8.1+dfsg-2) unstable; urgency=medium

  * Apply upstream patch to fix the build with freetype 2.13.3 and
    later. Closes: #1082572.

 -- Stephen Kitt <skitt@debian.org>  Tue, 01 Oct 2024 09:11:47 +0200

scummvm (2.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Apr 2024 07:40:08 +0200
