=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: scummvm
 Section: games
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: David Weinehall <tao@debian.org>
           ,Moritz Muehlenhoff <jmm@debian.org>
           ,Dmitry Smirnov <onlyjob@debian.org>
@@ -56,9 +55,26 @@
          ,lure-of-the-temptress
 Breaks: drascula (<< 1.0+ds4)
 Description: engine for several graphical adventure games
- ScummVM is a virtual machine for several classic graphical
- point-and-click adventure games like beneath-a-steel-sky
- and flight-of-the-amazon-queen.
+ ScummVM is a `virtual machine' for several classic graphical
+ point-and-click adventure games.  It is designed to run Adventure Soft's
+ Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
+ based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
+ system.  SCUMM is used for many games, including Monkey Island,
+ Day of the Tentacle, Sam and Max and more.  See the official compatibility
+ list at <http://www.scummvm.org/compatibility.php> for a full list
+ of supported games.
+ .
+ The game data of four games compatible with ScummVM is included in Debian.
+ These are:
+ .
+  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
+  - Drascula: The Vampire Strikes Back  (package: drascula)
+  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
+  - Lure of the Temptress               (package: lure-of-the-temptress)
+ .
+ To actually make use of ScummVM, you'll have to install one of these, or
+ obtain the proprietary game data for another supported game from somewhere
+ else.
 
 Package: scummvm-data
 Architecture: all
@@ -66,8 +82,26 @@
 Built-Using: ${my:Built-Using}
 Depends: ${misc:Depends}
 Description: engine for several graphical adventure games (data files)
- ScummVM is a virtual machine for several classic graphical
- point-and-click adventure games like beneath-a-steel-sky
- and flight-of-the-amazon-queen.
+ ScummVM is a `virtual machine' for several classic graphical
+ point-and-click adventure games.  It is designed to run Adventure Soft's
+ Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
+ based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
+ system.  SCUMM is used for many games, including Monkey Island,
+ Day of the Tentacle, Sam and Max and more.  See the official compatibility
+ list at <http://www.scummvm.org/compatibility.php> for a full list
+ of supported games.
+ .
+ The game data of four games compatible with ScummVM is included in Debian.
+ These are:
+ .
+  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
+  - Drascula: The Vampire Strikes Back  (package: drascula)
+  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
+  - Lure of the Temptress               (package: lure-of-the-temptress)
+ .
+ To actually make use of ScummVM, you'll have to install one of these, or
+ obtain the proprietary game data for another supported game from somewhere
+ else.
  .
  These packages provides data files needed to run some engines supported by
+ ScummVM.
