## scummvm 2.9.0+dfsg

=== doc/docportal/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile requirements.in
#
alabaster==1.0.0
    # via sphinx
babel==2.16.0
    # via sphinx
certifi==2024.8.30
    # via requests
charset-normalizer==3.4.0
    # via requests
colorama==0.4.6
    # via sphinx
docutils==0.21.2
    # via
    #   sphinx
    #   sphinx-mdinclude
    #   sphinx-rtd-theme
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.4
    # via sphinx
markupsafe==3.0.2
    # via jinja2
mistune==3.0.2
    # via sphinx-mdinclude
packaging==24.2
    # via sphinx
pygments==2.18.0
    # via
    #   sphinx
    #   sphinx-mdinclude
requests==2.32.3
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==8.1.3
    # via
    #   -r requirements.in
    #   sphinx-design
    #   sphinx-mdinclude
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
sphinx-design==0.6.1
    # via -r requirements.in
sphinx-mdinclude==0.6.2
    # via -r requirements.in
sphinx-rtd-theme==3.0.2
    # via -r requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
urllib3==2.2.3
    # via requests
