=== debian/changelog ===
scummvm (2.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release, merging unsigned.patch.
  * Add libmpcdec for Musepack support.
  * Switch from libmikmod to libopenmpt for MO3 support.

 -- Stephen Kitt <skitt@debian.org>  Wed, 22 Jan 2025 18:35:06 +0100
