=== debian/control ===
--- 
+++ 
@@ -24,8 +24,9 @@
               ,libieee1284-3-dev [!hurd-any]
               ,libjpeg-dev
               ,libmad0-dev
-              ,libmikmod-dev
+              ,libmpcdec-dev
               ,libmpeg2-4-dev
+              ,libopenmpt-dev
               ,libpng-dev
               ,libsdl2-dev | libsdl1.2-dev
               ,libsdl2-net-dev | libsdl-net1.2-dev
