## scummvm 2.9.1%2Bdfsg

=== backends/platform/libretro/Makefile ===
--- 
+++ 
@@ -45,6 +45,8 @@
    LDFLAGS += -shared -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
    CFLAGS  += -fPIC -mcpu=cortex-a53 -mtune=cortex-a53 -fomit-frame-pointer -ffast-math
    CXXFLAGS = $(CFLAGS) -frtti -std=c++11
+   HAVE_OPENGLES2 :=1
+   HAVE_NEON := 1
 
 # Raspberry Pi 4 (64 bit)
 else ifeq ($(platform), rpi4_64)
@@ -53,6 +55,8 @@
    LDFLAGS += -shared -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
    CFLAGS += -fPIC -mcpu=cortex-a72 -mtune=cortex-a72 -fomit-frame-pointer -ffast-math
    CXXFLAGS = $(CFLAGS) -frtti -std=c++11
+   HAVE_OPENGLES2 := 1
+   HAVE_NEON := 1
 
 # iOS
 else ifneq (,$(findstring ios,$(platform)))
@@ -60,6 +64,8 @@
    DEFINES += -fPIC -DHAVE_POSIX_MEMALIGN=1 -DIOS
    LDFLAGS += -dynamiclib -fPIC
    MINVERSION :=
+   HAVE_OPENGLES2 := 1
+   HAVE_NEON := 1
 
 ifeq ($(IOSSDK),)
    IOSSDK := $(shell xcodebuild -version -sdk iphoneos Path)
@@ -68,8 +74,9 @@
    CC        = cc -arch arm64 -isysroot $(IOSSDK)
    CXX       = c++ -arch arm64 -isysroot $(IOSSDK)
 else
-   CC       = cc -arch armv7 -isysroot $(IOSSDK) -marm
+   CC       = cc -arch armv7 -isysroot $(IOSSDK)
    CXX      = c++ -arch armv7 -isysroot $(IOSSDK)
+   DEFINES  = -marm -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon
 endif
 
 ifeq ($(platform),$(filter $(platform),ios9 ios-arm64))
@@ -85,6 +92,8 @@
    TARGET := $(TARGET_NAME)_libretro_tvos.$(EXT)
    DEFINES += -fPIC -DHAVE_POSIX_MEMALIGN=1 -DIOS
    LDFLAGS += -dynamiclib -fPIC
+   HAVE_OPENGLES2 := 1
+   HAVE_NEON := 1
 ifeq ($(IOSSDK),)
    IOSSDK := $(shell xcodebuild -version -sdk appletvos Path)
 endif
@@ -95,29 +104,31 @@
 else ifeq ($(platform), qnx)
    TARGET  := $(TARGET_NAME)_libretro_$(platform).so
    DEFINES += -fPIC -DSYSTEM_NOT_SUPPORTING_D_TYPE -DDEFAULT_PERF_TUNER
+   DEFINES += -D__BLACKBERRY_QNX__ -marm -mcpu=cortex-a9 -mtune=cortex-a9 -mfpu=neon -mfloat-abi=softfp
    LDFLAGS += -shared -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
    CC = qcc -Vgcc_ntoarmv7le
    CXX = QCC -Vgcc_ntoarmv7le
    LD = QCC -Vgcc_ntoarmv7le
    AR = qcc -Vgcc_ntoarmv7le -A
    RANLIB="${QNX_HOST}/usr/bin/ntoarmv7-ranlib"
+   HAVE_OPENGLES2 := 1.
+   HAVE_NEON := 1
 
 # Genode
 else ifeq ($(platform), genode)
-   TARGET  := libretro.so
-   DEFINES += -fPIC -DSYSTEM_NOT_SUPPORTING_D_TYPE -DFRONTEND_SUPPORTS_RGB565 -DDEFAULT_PERF_TUNER
+   TARGET  := $(TARGET_NAME)_libretro_$(platform).so
+   DEFINES += -fPIC -DSYSTEM_NOT_SUPPORTING_D_TYPE -DDEFAULT_PERF_TUNER
    C_PKGS   = libc
    CXX_PKGS = stdcxx genode-base
    CFLAGS   += -D__GENODE__ $(shell pkg-config --cflags $(C_PKGS))
    CXXFLAGS += -D__GENODE__ $(shell pkg-config --cflags $(CXX_PKGS))
-
    LIBS += $(shell pkg-config --libs $(C_PKGS) $(CXX_PKGS) genode-lib)
-
    CC  = $(shell pkg-config genode-base --variable=cc)
    CXX = $(shell pkg-config genode-base --variable=cxx)
    LD  = $(shell pkg-config genode-base --variable=ld)
    AR  = $(shell pkg-config genode-base --variable=ar) rcs
    RANLIB = genode-x86-ranlib
+   HAVE_OPENGL := 1
 
 # Lightweight PS3 Homebrew SDK
 else ifneq (,$(filter $(platform), ps3 psl1ght))
@@ -128,6 +139,7 @@
    DEFINES := -DPLAYSTATION3 -D__PS3__ -DRETRO_IS_BIG_ENDIAN=1 -DRETRO_IS_LITTLE_ENDIAN=0 -DWORDS_BIGENDIAN=1 -mcpu=cell -mno-fp-in-toc -I$(PS3DEV)/ppu/include
    ifeq ($(platform), psl1ght)
       DEFINES += -D__PSL1GHT__
+      HAVE_OPENGL := 1
    endif
    STATIC_LINKING = 1
 
@@ -149,11 +161,13 @@
     TARGET := $(TARGET_NAME)_libretro_$(platform).$(EXT)
     AR = $(DEVKITPRO)/devkitA64/aarch64-none-elf/bin/ar$(EXE_EXT) rcs
     DEFINES := -DSWITCH=1 -U__linux__ -U__linux
-    DEFINES   += -g -O3 -fPIE -I$(LIBNX)/include/ -ffunction-sections -fdata-sections -ftls-model=local-exec
+    DEFINES   += -g -O3 -fPIE -I$(LIBNX)/include/ -ffunction-sections -fdata-sections -ftls-model=local-exec -ffast-math -mcpu=cortex-a57+crc+fp+simd -march=armv8-a -mtune=cortex-a57 -mtp=soft
     DEFINES += $(INCDIRS)
-    DEFINES += -D__SWITCH__ -DHAVE_LIBNX -march=armv8-a -mtune=cortex-a57 -mtp=soft
+    DEFINES += -D__SWITCH__ -DHAVE_LIBNX -D__arm64__ -D__ARM_NEON__
     CXXFLAGS := $(ASFLAGS) -std=gnu++11 -fpermissive
     STATIC_LINKING = 1
+    HAVE_OPENGL := 1
+    HAVE_NEON := 1
 
 # Nintendo Wii U
 else ifeq ($(platform), wiiu)
@@ -196,12 +210,14 @@
    CC = arm-vita-eabi-gcc$(EXE_EXT)
    CXX = arm-vita-eabi-g++$(EXE_EXT)
    AR = arm-vita-eabi-ar$(EXE_EXT) rcs
-   DEFINES += -march=armv7-a -mtune=cortex-a9 -mfpu=neon -mfloat-abi=hard
+   DEFINES += -march=armv7-a -mtune=cortex-a9 -mfpu=neon -mfloat-abi=hard -mfpu=neon -marm
    DEFINES += -fno-optimize-sibling-calls -mlong-calls -mword-relocations
    DEFINES += -DVITA -DREDUCE_MEMORY_USAGE -DUNCACHED_PLUGINS -DPSP2 -DSYSTEM_NOT_SUPPORTING_D_TYPE
    USE_LIBCO = 0
    LITE := 1
    STATIC_LINKING = 1
+   HAVE_OPENGLES2 := 1
+   HAVE_NEON := 1
 
 # GCW0
 else ifeq ($(platform), gcw0)
@@ -212,10 +228,12 @@
    AR = /opt/gcw0-toolchain/usr/bin/mipsel-linux-ar cru
    RANLIB = /opt/gcw0-toolchain/usr/bin/mipsel-linux-ranlib
    DEFINES += -DDINGUX -fomit-frame-pointer -ffast-math -march=mips32 -mtune=mips32r2 -mhard-float -fPIC
+   DEFINES += -DPRId64 #Workaround to avoid compilation error in retro_common_api.h. Root cause to be investigated.
    DEFINES += -ffunction-sections -fdata-sections -DDEFAULT_PERF_TUNER
    LDFLAGS += -shared -Wl,--gc-sections -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
    CFLAGS += -std=gnu99
    CXXFLAGS += -std=c++11
+   HAVE_OPENGLES2 := 1
    USE_VORBIS = 0
    USE_THEORADEC = 0
    USE_TREMOR = 1
@@ -278,13 +296,14 @@
 endif
 ifneq (,$(findstring neon,$(platform)))
    DEFINES += -mfpu=neon
-   HAVE_NEON = 1
+   HAVE_NEON := 1
 endif
 ifneq (,$(findstring softfloat,$(platform)))
    DEFINES += -mfloat-abi=softfp
 else ifneq (,$(findstring hardfloat,$(platform)))
    DEFINES += -mfloat-abi=hard
 endif
+   HAVE_OPENGLES2 := 1
 
 # ARM v8
 else ifneq (,$(findstring armv8,$(platform)))
@@ -292,7 +311,8 @@
    DEFINES += -fPIC -D_ARM_ASSEM_ -DARM -marm -mtune=cortex-a53 -mfpu=neon-fp-armv8 -mfloat-abi=hard -march=armv8-a+crc -DDEFAULT_PERF_TUNER
    LDFLAGS += -shared -Wl,--version-script=$(ROOT_PATH)/link.T -fPIC
    CFLAGS   += -fPIC
-   HAVE_NEON = 1
+   HAVE_NEON := 1
+   HAVE_OPENGLES2 := 1
 
 # Odroid Go Advance
 else ifneq (,$(findstring oga_a35_neon_hardfloat,$(platform)))
@@ -303,7 +323,8 @@
    USE_THEORADEC = 0
    USE_TREMOR = 1
    USE_MT32EMU = 0
-   HAVE_NEON = 1
+   HAVE_NEON := 1
+   HAVE_OPENGLES2 := 1
 
 # Emscripten
 else ifeq ($(platform), emscripten)
@@ -312,21 +333,3 @@
    AR := emar rcs
    DEFINES += -DEMSCRIPTEN -DUSE_CXX11
    CXXFLAGS += -std=c++11
-   STATIC_LINKING = 1
-   USE_LIBCO  = 0
-   USE_CLOUD = 0
-
-# Windows MSVC 2017 all architectures
-else ifneq (,$(findstring windows_msvc2017,$(platform)))
-
-    NO_GCC := 1
-    CFLAGS += -DNOMINMAX
-    CXXFLAGS += -DNOMINMAX
-    WINDOWS_VERSION = 1
-
-   PlatformSuffix = $(subst windows_msvc2017_,,$(platform))
-   ifneq (,$(findstring desktop,$(PlatformSuffix)))
-      WinPartition = desktop
-      MSVC2017CompileFlags = -DWINAPI_FAMILY=WINAPI_FAMILY_DESKTOP_APP -FS
-      LDFLAGS += -MANIFEST -LTCG:incremental -NXCOMPAT -DYNAMICBASE -DEBUG -OPT:REF -INCREMENTAL:NO -SUBSYSTEM:WINDOWS -MANIFESTUAC:"level='asInvoker' uiAccess='false'" -OPT:ICF -ERRORREPORT:PROMPT -NOLOGO -TLBID:1
-      LIBS += kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib
