## scummvm 2.9.1+dfsg

=== debian/changelog ===
scummvm (2.9.1+dfsg-1build1) resolute; urgency=medium

  * Rebuild against latest libtheora

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 11:23:09 -0500

scummvm (2.9.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 10 May 2025 20:02:11 +0200
