=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+dfsg\d*//,\
"  https://downloads.scummvm.org/frs/scummvm/([0-9.]+)/ .*/scummvm-([0-9.]+)@ARCHIVE_EXT@$
